Settings
Workspace and team settings
GET/api/settings/capabilities
The caller's capabilities and the workspace role matrix
Required scope: team.read
bash
curl "https://api.zapyflow.com.br/api/settings/capabilities" \
-H "Authorization: Bearer $ZAPYFLOW_API_KEY"Responses
200— OK
GET/api/settings/invitations
The team's invitations
Required scope: team.read
bash
curl "https://api.zapyflow.com.br/api/settings/invitations" \
-H "Authorization: Bearer $ZAPYFLOW_API_KEY"Responses
200— OK
GET/api/settings/service-policy
The team's service policy
Required scope: service_policy.read
| Parameter | In | Required |
|---|---|---|
aiAgentId | query | no |
bash
curl "https://api.zapyflow.com.br/api/settings/service-policy" \
-H "Authorization: Bearer $ZAPYFLOW_API_KEY"Responses
200— OK
PATCH/api/settings/service-policy
Update the team's service policy
Required scope: service_policy.write
Request body
| Field | Type | Required | Constraints |
|---|---|---|---|
timezone | stringnull | yes | — |
businessHours | object | null | no | — |
inactivityTimeoutMinutes | integer | null | yes | — |
inactivityFarewell | stringnull | yes | — |
source | object | yes | — |
commercial | object | yes | — |
bash
curl -X PATCH "https://api.zapyflow.com.br/api/settings/service-policy" \
-H "Authorization: Bearer $ZAPYFLOW_API_KEY" \
-H "Content-Type: application/json" \
-d '{ ... }'Responses
200— OK400— Malformed request
GET/api/settings/team
Team details, with the member list
Required scope: team.read
bash
curl "https://api.zapyflow.com.br/api/settings/team" \
-H "Authorization: Bearer $ZAPYFLOW_API_KEY"Responses
200— OK